#include <sys/param.h>

/*
 * Defines
 */

#define NUM_USERS 500		/* Max # users on your site */

int Make_Weeklies();
int Make_GroupWeeklies();
int Make_GroupAllTimes();
int Make_AllTimes();
int Make_Montlies();
int Make_Dailies();


/*
 * xfer: Structure in which a single xfer will be parsed:
 */

struct XFER
{
   char   month[ 4 ];                  /* The month of year */
   char   day[ 3 ];		       /* The day of the month */
   time_t transfer_time;               /* Total transfer time, in seconds */
   char   remote_host[ 255 ];          /* Name of the remote host */
   size_t file_size;                   /* Total size of transfer in bytes */
   char	  filename[ 255 ];	       /* Filename */
   char   direction;                   /* 'o': Outgoing, 'i': Incoming */
   char   username[ 25 ];              /* Local username or if guest, the ID string given */
} xfer;


/*
 * user: Structure in which a user's info will be tabulated
 */

int	num_users = 0;		       /* Number of non-empty items in the user array */

struct USER
{
   char   username[ 25 ];      /* The username associated */
   char   tagline[ 64 ];       /* User's tagline */
   unsigned long bytes_up;     /* Total # bytes uploaded */
   unsigned long bytes_down;   /* Total # bytes downloaded */
   int    transfers;           /* Total # transfers (up or down) */
   int    uploads;	       /* Number of uploads this user */
   int    downloads;	       /* Number of downloads this user */
   time_t total_uptime;	       /* Total time spend uploading */
   time_t total_downtime;      /* Total time spent downloading */
   time_t total_time;          /* Total time spend xferring */
   double upspeed;	       /* Average upload speed */
   double downspeed;	       /* Average download speed */		
   int    times_nuked;
   long  bytes_nuked;
   char   group_user[ 15 ];  /* Groups this user belongs to */
} user[NUM_USERS];


/* group stat structure */
struct GROUP
{
        char  name[ 20 ];
        int   members;
        int   files_up;
        unsigned long bytes_up;
        int   files_up_wk;
        unsigned long bytes_up_wk;
        int   files_up_day;
        unsigned long bytes_up_day;
        int   files_up_month;
        unsigned long bytes_up_month;
        int   files_down;
        unsigned long bytes_down;
        int   files_down_wk;
        unsigned long bytes_down_wk;
        int   files_down_day;
        unsigned long bytes_down_day;
        int   files_down_month;
        unsigned long bytes_down_month;

} group[ 80 ];

